@mixin inter($inter-type, $inter-color) {
  &.type-#{$inter-type} {
    .title {
      color: $inter-color;
    }
    .colored {
      td, th {
        background-color: $inter-color;
        color: #fff;
        &.empty {
          color: $first-txt-color;
        }
        &:last-child.empty {
          border-right: transparent;
        }
      }
      td:last-child {
        background-color: darken($inter-color, 5%);
      }
    }
    table {
      &.table-colored-header {
        thead tr th {
          background-color: $inter-color;
        }
      }
    }
    .highlight {
      border: 2px solid  $inter-color;
      color: $inter-color;
    }
  }
}
// Vars colors
@include inter($inter-type: RDF, $inter-color: #8585bf);
@include inter($inter-type: DDE, $inter-color: #199cb8);
@include inter($inter-type: DEC, $inter-color: #e43e1c);
@include inter($inter-type: TAG, $inter-color: #ef8c33);
